PROGRAM JLINES!       Example lines.f

! Code converted using TO_F90 by Alan Miller
! Date: 2001-03-15  Time: 10:26:05

USE JAPI

INTEGER :: frame,line

IF( .NOT. j_start()) THEN
  PRINT*, "can't connect to server"
  GO TO 20
END IF

frame = j_frame("Rulers")
CALL j_setnamedcolorbg(frame,j_light_gray)

line  = j_line(frame,j_horizontal,j_linedown,200)
CALL j_setpos(line,100,100)
line  = j_line(frame,j_horizontal,j_lineup,200)
CALL j_setpos(line,100,200)
line  = j_line(frame,j_vertical,j_linedown,150)
CALL j_setpos(line,50,75)
line  = j_line(frame,j_vertical,j_lineup,150)
CALL j_setpos(line,350,75)

CALL j_show(frame)
NEXTACTION: DO
      IF(j_nextaction() == frame) EXIT NEXTACTION
END DO NEXTACTION

20   continue

CALL j_quit()
END PROGRAM JLINES

